{"openapi":"3.1.0","info":{"title":"Mynahcast API","version":"1.0.0","description":"Schedule and publish social posts. One registry powers this API, the MCP server and the CLI."},"servers":[{"url":"https://api.mynahcast.xyz"}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","description":"API key: myn_live_… or myn_test_…"}},"schemas":{"Problem":{"type":"object","required":["type","title","status","code"],"properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"code":{"type":"string","description":"Stable machine-readable code"},"detail":{"type":"string"},"fix":{"type":"string","description":"What an agent or developer should do next"},"errors":{},"requestId":{"type":"string"}}}}},"paths":{"/v1/posts/validate":{"post":{"operationId":"postsValidate","summary":"Validate a post against every target channel without saving it","tags":["posts"],"x-mynahcast-scopes":["posts:read"],"x-mcp-tool":"mynahcast_validate_post","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"default":null,"anyOf":[{"type":"string","maxLength":200},{"type":"null"}]},"content":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"targets":{"minItems":1,"maxItems":50,"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"override":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"options":{"default":{},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["channelId"]}},"schedule":{"default":null,"anyOf":[{"type":"object","properties":{"at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"timezone":{"type":"string"}},"required":["at"]},{"type":"null"}]},"submitForApproval":{"default":false,"type":"boolean"}},"required":["brandId","content","targets"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"boolean"},"contentHash":{"type":"string"},"wouldRequireApproval":{"type":"boolean"},"targets":{"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"characters":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"limit":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"issues":{"type":"array","items":{"type":"object","properties":{"severity":{"type":"string","enum":["error","warning"]},"code":{"type":"string"},"message":{"type":"string"},"path":{"type":"string"}},"required":["severity","code","message","path"],"additionalProperties":false}}},"required":["channelId","provider","characters","limit","issues"],"additionalProperties":false}}},"required":["ok","contentHash","wouldRequireApproval","targets"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/posts":{"post":{"operationId":"postsCreate","summary":"Create a post for one brand, fanned out to one or more channels","description":"Lands as a draft without `schedule`. Lands in review when the brand's approval policy applies to the caller.","tags":["posts"],"x-mynahcast-scopes":["posts:write"],"x-mcp-tool":"mynahcast_create_post","parameters":[{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"default":null,"anyOf":[{"type":"string","maxLength":200},{"type":"null"}]},"content":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"targets":{"minItems":1,"maxItems":50,"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"override":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"options":{"default":{},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["channelId"]}},"schedule":{"default":null,"anyOf":[{"type":"object","properties":{"at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"timezone":{"type":"string"}},"required":["at"]},{"type":"null"}]},"submitForApproval":{"default":false,"type":"boolean"}},"required":["brandId","content","targets"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"type":["string","null"]},"status":{"type":"string","enum":["draft","in_review","scheduled","publishing","published","partially_published","failed","needs_attention","cancelled"]},"origin":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentHash":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"targets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"type":"array","items":{"type":"object","properties":{"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body","mediaIds"],"additionalProperties":false}},"firstComment":{"type":["string","null"]},"options":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"contentHash":{"type":"string"},"state":{"type":"string","enum":["draft","awaiting_approval","scheduled","claimed","sending","sent_unverified","processing","verified","retry_wait","held","failed","uncertain","needs_human","partial","cancelled"]},"dueAt":{"type":["string","null"]},"timezone":{"type":["string","null"]},"url":{"type":["string","null"]},"providerPostId":{"type":["string","null"]},"verifiedAt":{"type":["string","null"]},"lastError":{"anyOf":[{"type":"object","properties":{"class":{"type":"string"},"message":{"type":"string"}},"required":["class","message"],"additionalProperties":false},{"type":"null"}]}},"required":["id","channelId","provider","body","mediaIds","thread","firstComment","options","contentHash","state","dueAt","timezone","url","providerPostId","verifiedAt","lastError"],"additionalProperties":false}},"approval":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","brandId","title","status","origin","contentRev","contentHash","createdAt","updatedAt","targets","approval"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]},"get":{"operationId":"postsList","summary":"List posts (cursor pagination), filtered by brand, status, channel and time range","tags":["posts"],"x-mynahcast-scopes":["posts:read"],"x-mcp-tool":"mynahcast_list_posts","parameters":[{"name":"brandId","in":"query","required":false,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"channelId","in":"query","required":false,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"status","in":"query","required":false,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},{"name":"to","in":"query","required":false,"schema":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"default":25,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"type":["string","null"]},"status":{"type":"string","enum":["draft","in_review","scheduled","publishing","published","partially_published","failed","needs_attention","cancelled"]},"origin":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentHash":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"targets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"type":"array","items":{"type":"object","properties":{"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body","mediaIds"],"additionalProperties":false}},"firstComment":{"type":["string","null"]},"options":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"contentHash":{"type":"string"},"state":{"type":"string","enum":["draft","awaiting_approval","scheduled","claimed","sending","sent_unverified","processing","verified","retry_wait","held","failed","uncertain","needs_human","partial","cancelled"]},"dueAt":{"type":["string","null"]},"timezone":{"type":["string","null"]},"url":{"type":["string","null"]},"providerPostId":{"type":["string","null"]},"verifiedAt":{"type":["string","null"]},"lastError":{"anyOf":[{"type":"object","properties":{"class":{"type":"string"},"message":{"type":"string"}},"required":["class","message"],"additionalProperties":false},{"type":"null"}]}},"required":["id","channelId","provider","body","mediaIds","thread","firstComment","options","contentHash","state","dueAt","timezone","url","providerPostId","verifiedAt","lastError"],"additionalProperties":false}},"approval":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","brandId","title","status","origin","contentRev","contentHash","createdAt","updatedAt","targets","approval"],"additionalProperties":false}},"nextCursor":{"type":["string","null"]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/posts/{postId}":{"get":{"operationId":"postsGet","summary":"Get one post with its per-channel delivery state","tags":["posts"],"x-mynahcast-scopes":["posts:read"],"x-mcp-tool":"mynahcast_get_post","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"type":["string","null"]},"status":{"type":"string","enum":["draft","in_review","scheduled","publishing","published","partially_published","failed","needs_attention","cancelled"]},"origin":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentHash":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"targets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"type":"array","items":{"type":"object","properties":{"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body","mediaIds"],"additionalProperties":false}},"firstComment":{"type":["string","null"]},"options":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"contentHash":{"type":"string"},"state":{"type":"string","enum":["draft","awaiting_approval","scheduled","claimed","sending","sent_unverified","processing","verified","retry_wait","held","failed","uncertain","needs_human","partial","cancelled"]},"dueAt":{"type":["string","null"]},"timezone":{"type":["string","null"]},"url":{"type":["string","null"]},"providerPostId":{"type":["string","null"]},"verifiedAt":{"type":["string","null"]},"lastError":{"anyOf":[{"type":"object","properties":{"class":{"type":"string"},"message":{"type":"string"}},"required":["class","message"],"additionalProperties":false},{"type":"null"}]}},"required":["id","channelId","provider","body","mediaIds","thread","firstComment","options","contentHash","state","dueAt","timezone","url","providerPostId","verifiedAt","lastError"],"additionalProperties":false}},"approval":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","brandId","title","status","origin","contentRev","contentHash","createdAt","updatedAt","targets","approval"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]},"patch":{"operationId":"postsUpdate","summary":"Edit a post's content, channels or schedule (before it publishes)","description":"If `content` is given without `targets`, the new content applies to every existing channel. Editing after approval makes the approval stale.","tags":["posts"],"x-mynahcast-scopes":["posts:write"],"x-mcp-tool":"mynahcast_update_post","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}]},"content":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"targets":{"minItems":1,"maxItems":50,"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"override":{"type":"object","properties":{"body":{"default":"","type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"default":[],"maxItems":25,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","maxLength":40000},"mediaIds":{"default":[],"maxItems":20,"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body"]}},"firstComment":{"default":null,"anyOf":[{"type":"string","maxLength":10000},{"type":"null"}]}}},"options":{"default":{},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["channelId"]}},"schedule":{"anyOf":[{"type":"object","properties":{"at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"timezone":{"type":"string"}},"required":["at"]},{"type":"null"}]}},"required":[]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"type":["string","null"]},"status":{"type":"string","enum":["draft","in_review","scheduled","publishing","published","partially_published","failed","needs_attention","cancelled"]},"origin":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentHash":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"targets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"type":"array","items":{"type":"object","properties":{"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body","mediaIds"],"additionalProperties":false}},"firstComment":{"type":["string","null"]},"options":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"contentHash":{"type":"string"},"state":{"type":"string","enum":["draft","awaiting_approval","scheduled","claimed","sending","sent_unverified","processing","verified","retry_wait","held","failed","uncertain","needs_human","partial","cancelled"]},"dueAt":{"type":["string","null"]},"timezone":{"type":["string","null"]},"url":{"type":["string","null"]},"providerPostId":{"type":["string","null"]},"verifiedAt":{"type":["string","null"]},"lastError":{"anyOf":[{"type":"object","properties":{"class":{"type":"string"},"message":{"type":"string"}},"required":["class","message"],"additionalProperties":false},{"type":"null"}]}},"required":["id","channelId","provider","body","mediaIds","thread","firstComment","options","contentHash","state","dueAt","timezone","url","providerPostId","verifiedAt","lastError"],"additionalProperties":false}},"approval":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","brandId","title","status","origin","contentRev","contentHash","createdAt","updatedAt","targets","approval"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]},"delete":{"operationId":"postsDelete","summary":"Delete a post and cancel every delivery that has not gone out","description":"Posts already live on a platform are not removed from that platform.","tags":["posts"],"x-mynahcast-scopes":["posts:write"],"x-mcp-tool":"mynahcast_delete_post","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"deleted":{"type":"boolean"},"cancelledTargets":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"alreadyLive":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["deleted","cancelledTargets","alreadyLive"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/posts/{postId}/reschedule":{"post":{"operationId":"postsReschedule","summary":"Move a post to a new time, or unschedule it (schedule: null)","tags":["posts"],"x-mynahcast-scopes":["posts:write"],"x-mcp-tool":"mynahcast_reschedule_post","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"schedule":{"anyOf":[{"type":"object","properties":{"at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"timezone":{"type":"string"}},"required":["at"]},{"type":"null"}]}},"required":["schedule"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"title":{"type":["string","null"]},"status":{"type":"string","enum":["draft","in_review","scheduled","publishing","published","partially_published","failed","needs_attention","cancelled"]},"origin":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentHash":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"targets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"channelId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"thread":{"type":"array","items":{"type":"object","properties":{"body":{"type":"string"},"mediaIds":{"type":"array","items":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}},"required":["body","mediaIds"],"additionalProperties":false}},"firstComment":{"type":["string","null"]},"options":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"contentHash":{"type":"string"},"state":{"type":"string","enum":["draft","awaiting_approval","scheduled","claimed","sending","sent_unverified","processing","verified","retry_wait","held","failed","uncertain","needs_human","partial","cancelled"]},"dueAt":{"type":["string","null"]},"timezone":{"type":["string","null"]},"url":{"type":["string","null"]},"providerPostId":{"type":["string","null"]},"verifiedAt":{"type":["string","null"]},"lastError":{"anyOf":[{"type":"object","properties":{"class":{"type":"string"},"message":{"type":"string"}},"required":["class","message"],"additionalProperties":false},{"type":"null"}]}},"required":["id","channelId","provider","body","mediaIds","thread","firstComment","options","contentHash","state","dueAt","timezone","url","providerPostId","verifiedAt","lastError"],"additionalProperties":false}},"approval":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","brandId","title","status","origin","contentRev","contentHash","createdAt","updatedAt","targets","approval"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/posts/{postId}/timeline":{"get":{"operationId":"postsTimeline","summary":"Every delivery attempt for a post, with platform response codes","tags":["posts"],"x-mynahcast-scopes":["posts:read"],"x-mcp-tool":"mynahcast_get_post_timeline","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"attempts":{"type":"array","items":{"type":"object","properties":{"targetId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"attemptNo":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"startedAt":{"type":"string"},"finishedAt":{"type":["string","null"]},"outcome":{"type":"string"},"httpStatus":{"anyOf":[{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},{"type":"null"}]},"providerErrorCode":{"type":["string","null"]}},"required":["targetId","attemptNo","startedAt","finishedAt","outcome","httpStatus","providerErrorCode"],"additionalProperties":false}}},"required":["attempts"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/posts/{postId}/approval":{"post":{"operationId":"approvalsRequest","summary":"Submit a post for approval (binds to its exact current content)","tags":["approvals"],"x-mynahcast-scopes":["posts:write"],"x-mcp-tool":"mynahcast_submit_for_approval","parameters":[{"name":"postId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{},"required":[]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/approvals/{approvalId}/decision":{"post":{"operationId":"approvalsDecide","summary":"Approve, request changes on, or reject a post (humans only)","tags":["approvals"],"x-mynahcast-scopes":["approvals:decide"],"x-mcp-tool":"mynahcast_decide_approval","parameters":[{"name":"approvalId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"decision":{"type":"string","enum":["approved","changes_requested","rejected"]},"comment":{"default":null,"anyOf":[{"type":"string","maxLength":5000},{"type":"null"}]}},"required":["decision"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"postId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["open","approved","changes_requested","rejected","stale"]},"contentHash":{"type":"string"},"contentRev":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"comment":{"type":["string","null"]},"decidedAt":{"type":["string","null"]}},"required":["id","postId","status","contentHash","contentRev","comment","decidedAt"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/channels":{"get":{"operationId":"channelsList","summary":"List connected channels and their health","tags":["channels"],"x-mynahcast-scopes":["channels:read"],"x-mcp-tool":"mynahcast_list_channels","parameters":[{"name":"brandId","in":"query","required":false,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"handle":{"type":"string"},"displayName":{"type":["string","null"]},"status":{"type":"string","enum":["active","needs_reconnect","limited","disabled","pending_setup"]},"instanceUrl":{"type":["string","null"]}},"required":["id","brandId","provider","handle","displayName","status","instanceUrl"],"additionalProperties":false}}},"required":["items"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/channels/{channelId}/capabilities":{"get":{"operationId":"channelsCapabilities","summary":"Limits, media rules and the settings schema of one channel","tags":["channels"],"x-mynahcast-scopes":["channels:read"],"x-mcp-tool":"mynahcast_get_channel_capabilities","parameters":[{"name":"channelId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"channel":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]},"handle":{"type":"string"},"displayName":{"type":["string","null"]},"status":{"type":"string","enum":["active","needs_reconnect","limited","disabled","pending_setup"]},"instanceUrl":{"type":["string","null"]}},"required":["id","brandId","provider","handle","displayName","status","instanceUrl"],"additionalProperties":false},"maxChars":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"threads":{"type":"boolean"},"firstComment":{"type":"boolean"},"media":{"type":"object","properties":{"maxItems":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"images":{"type":"boolean"},"video":{"type":"boolean"},"altText":{"type":"boolean"}},"required":["maxItems","images","video","altText"],"additionalProperties":false},"available":{"type":"boolean"},"optionsSchema":{}},"required":["channel","maxChars","threads","firstComment","media","available","optionsSchema"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/media/uploads":{"post":{"operationId":"mediaCreateUpload","summary":"Get a presigned URL to upload a file directly to storage","tags":["media"],"x-mynahcast-scopes":["media:write"],"x-mcp-tool":"mynahcast_request_upload","parameters":[{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brandId":{"default":null,"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"null"}]},"fileName":{"type":"string","minLength":1,"maxLength":255},"mime":{"type":"string","pattern":"^(image\\/(png|jpeg|gif|webp)|video\\/(mp4|quicktime|webm))$"},"bytes":{"type":"integer","exclusiveMinimum":0,"maximum":1073741824},"altText":{"default":null,"anyOf":[{"type":"string","maxLength":1500},{"type":"null"}]}},"required":["fileName","mime","bytes"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"mediaId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"upload":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string","const":"PUT"},"headers":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"expiresAt":{"type":"string"}},"required":["url","method","headers","expiresAt"],"additionalProperties":false}},"required":["mediaId","upload"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/media/{mediaId}/complete":{"post":{"operationId":"mediaComplete","summary":"Confirm an upload finished; the file is checked in storage","tags":["media"],"x-mynahcast-scopes":["media:write"],"x-mcp-tool":"mynahcast_complete_upload","parameters":[{"name":"mediaId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{},"required":[]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"mediaId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["uploading","ready","failed"]},"url":{"type":"string"}},"required":["mediaId","status","url"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}},"/v1/brands/{brandId}/voice":{"get":{"operationId":"voiceGet","summary":"Read a brand's active voice profile","tags":["voice"],"x-mynahcast-scopes":["posts:read"],"x-mcp-tool":"mynahcast_get_brand_voice","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"version":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"summary":{"type":["string","null"]},"doRules":{"type":"array","items":{"type":"string"}},"dontRules":{"type":"array","items":{"type":"string"}},"bannedTerms":{"type":"array","items":{"type":"string"}},"examples":{"type":"array","items":{"type":"object","properties":{"text":{"type":"string"},"provider":{"type":"string"}},"required":["text"],"additionalProperties":false}},"createdAt":{"type":"string"}},"required":["brandId","version","summary","doRules","dontRules","bannedTerms","examples","createdAt"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]},"put":{"operationId":"voiceUpdate","summary":"Publish a new version of a brand's voice profile","tags":["voice"],"x-mynahcast-scopes":["voice:write"],"x-mcp-tool":"mynahcast_update_brand_voice","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"dry_run","in":"query","required":false,"schema":{"type":"boolean"},"description":"Validate and preview without saving."},{"name":"Idempotency-Key","in":"header","required":false,"schema":{"type":"string","maxLength":255},"description":"Safe retries: the same key within 24 h replays the first response."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"summary":{"default":null,"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}]},"doRules":{"default":[],"maxItems":25,"type":"array","items":{"type":"string","minLength":1,"maxLength":200}},"dontRules":{"default":[],"maxItems":25,"type":"array","items":{"type":"string","minLength":1,"maxLength":200}},"bannedTerms":{"default":[],"maxItems":100,"type":"array","items":{"type":"string","minLength":1,"maxLength":200}},"examples":{"default":[],"maxItems":20,"type":"array","items":{"type":"object","properties":{"text":{"type":"string","minLength":1,"maxLength":1000},"provider":{"type":"string","enum":["bluesky","mastodon","telegram","discord","x","linkedin","youtube","tumblr","nostr","lemmy","misskey","slack","matrix","devto","hashnode","wordpress","listmonk"]}},"required":["text"]}}},"required":[]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"brandId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"version":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"summary":{"type":["string","null"]},"doRules":{"type":"array","items":{"type":"string"}},"dontRules":{"type":"array","items":{"type":"string"}},"bannedTerms":{"type":"array","items":{"type":"string"}},"examples":{"type":"array","items":{"type":"object","properties":{"text":{"type":"string"},"provider":{"type":"string"}},"required":["text"],"additionalProperties":false}},"createdAt":{"type":"string"}},"required":["brandId","version","summary","doRules","dontRules","bannedTerms","examples","createdAt"],"additionalProperties":false}}}},"default":{"description":"Error (RFC 9457 problem details)","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}},"security":[{"bearer":[]}]}}}}